/v1/workspaces/{workspace_id}/integrations/github/reposAuthList repos visible to the connected GitHub account.
Path parameters
workspace_id*string · uuidId of the workspace.
Response · 200
Array of object
full_name*stringThe repository as `<owner>/<repo>`.
default_branch*stringThe repository's default branch.
private*booleanTrue for a private repository.
html_url*string · uriThe repository on github.com.
updated_at*string · date-timeWhen the repository was last pushed to or changed.
Example
Request
GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/repos
Authorization: Bearer YOUR_TOKENResponse
[
{
"full_name": "string",
"default_branch": "string",
"private": false,
"html_url": "string",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]